petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetCFLTimeLocal

Set the local CFL constraint relative to forward Euler

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetCFLTimeLocal(TS ts,PetscReal cfltime)

Logically Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| cfltime | - maximum stable time step if using forward Euler (value can be different on each process) Many br

### Note

After calling this function, the global CFL time can be obtained by calling TSGetCFLTime() Many br

Many br

### See Also

TSGetCFLTime(), TSADAPTCFL

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages